help.start {base} | R Documentation

## Hypertext Documentation

### Description

Start the hypertext (currently HTML) version of R's online documentation.

### Usage

    help.start(gui = "irrelevant", browser = getOption("browser"), remote = NULL)

### Arguments

`gui` | just for compatibility with S-PLUS.
`browser` | the name of the program to be used as hypertext browser. It should be in the PATH, or a full path specified.
`remote` | A character giving a valid URL for the ``$R_HOME`' directory on a remote location.

### Details

All the packages in the known library trees are linked to a directory `.R` in the user's home directory.

The `browser` needs to work with a `"-remote openURL(...)"` call. Then, the hypertext R help interface is opened in any already running browser or a new one if necessary. Browsers that support this interface include Netscape 4.x, 6.2.x (but not 6.0/1), Opera 5/6 and Mozilla >= 0.9.5.

If the browser given by the `browser` argument is different from the default browser as specified by `options("browser")`, the default is changed to the given browser so that it gets used for all future help requests.

### Note

As a side-effect, the variable `"help.start.has.been.run"` in the environment `"package:base"` is set to true.

### See Also

`help()` for on- and off-line help in ASCII/Editor or PostScript format.

### Examples

    help.start()

[Package Contents]